Find the answer to your Linux question:
Results 1 to 3 of 3
Hi, I'm trying to install Geogebra.3.0.0.RC1.bin. I have installed java 1.60 when I try to install geogebra I'm getting the following errors: dirname: error while loading shared libraries: libc.so.6: cannot ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Enthusiast minthaka's Avatar
    Join Date
    May 2006
    Location
    Mol, Vojvodina
    Posts
    556

    Exclamation Java troubles


    Hi,
    I'm trying to install Geogebra.3.0.0.RC1.bin. I have installed java 1.60 when I try to install geogebra I'm getting the following errors:

    dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    /bin/ls: error while loading shared libraries: librt.so.1: cannot open shared object file: No such file or directory
    basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    dirname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    basename: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    hostname: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory

    Launching installer...

    grep: error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory
    /usr/lib/jvm/jre-1.6.0-sun/bin/java: error while loading shared libraries: libpthread.so.0: cannot open shared object file: No such file or directory

    I have installed all above mentioned libraries, of course.
    How to solve it?
    If you need a CD/DVD catalogizer, give a try to my program:
    http://www.kde-apps.org/content/show...content=100682
    Linux Usert#430188

  2. #2
    Blackfooted Penguin daark.child's Avatar
    Join Date
    Apr 2006
    Location
    West Yorks
    Posts
    4,393
    The app you are trying to install seems to be looking for a library that is not on your system. What is the output of doing
    Code:
    #find / -name "libc*.so*"
    and
    Code:
    #find / -name "libpthread*.so*"

  3. #3
    Linux Enthusiast minthaka's Avatar
    Join Date
    May 2006
    Location
    Mol, Vojvodina
    Posts
    556

    The outputs

    1. for the libc:
    /usr/share/wengophone/libcrypto.so.0.9.8
    /usr/share/wengophone/libcurl.so
    /usr/lib/openssl/engines/libchil.so
    /usr/lib/openssl/engines/libcswift.so
    /usr/lib/libcrypto.so.0.9.8
    /usr/lib/libcrack.so.2
    /usr/lib/libcrack.so.2.8.0
    /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
    /usr/lib/gtk-2.0/2.10.0/engines/libcleanice.so
    /usr/lib/gtk-2.0/2.10.0/engines/libcrux-engine.so
    /usr/lib/libcupsimage.so.2
    /usr/lib/libcups.so.2
    /usr/lib/libcairo.so.2.11.1
    /usr/lib/libcairo.so.2
    /usr/lib/libglade/2.0/libcanvas.so
    /usr/lib/gnome-vfs-2.0/modules/libcomputer.so
    /usr/lib/libc.so
    /usr/lib/libcrypt.so
    /usr/lib/qt3/plugins/lib/designer/libcppeditor.so
    /usr/lib/kde3/libcustomobjectplugin.so
    /usr/lib/kde3/libcustomqobjectplugin.so
    /usr/lib/kde3/libcrashesplugin.so
    /usr/lib/kde3/libcervisiapart.so
    /usr/lib/kde3/libclearcaseintegrator.so
    /usr/lib/kde3/libcvsserviceintegrator.so
    /usr/lib/libcurl.so.4.0.0
    /usr/lib/libcurl.so.4
    /usr/lib/libcheck.so.0.0.0
    /usr/lib/libcheck.so.0
    /usr/lib/nvu-1.0/components/libcaps.so
    /usr/lib/nvu-1.0/components/libchrome.so
    /usr/lib/nvu-1.0/components/libcomposer.so
    /usr/lib/nvu-1.0/components/libcomposercomps.so
    /usr/lib/xorg/modules/libcfb.so
    /usr/lib/xorg/modules/libcfb32.so
    /usr/lib/firefox-2.0.0.3/components/libchrome.so
    /usr/lib/firefox-2.0.0.3/components/libcaps.so
    /usr/lib/firefox-2.0.0.3/components/libcommandlines.so
    /usr/lib/firefox-2.0.0.3/components/libcomposer.so
    /usr/lib/firefox-2.0.0.3/components/libcookie.so
    /usr/lib/libcrypto.so
    /usr/lib/ooo-2.1/program/libcanvastools680li.so
    /usr/lib/ooo-2.1/program/libcached1.so
    /usr/lib/ooo-2.1/program/libcalc680li.so
    /usr/lib/ooo-2.1/program/libcppcanvas680li.so
    /usr/lib/ooo-2.1/program/libcollator_data.so
    /usr/lib/ooo-2.1/program/libcommuni680li.so
    /usr/lib/ooo-2.1/program/libcomphelp4gcc3.so
    /usr/lib/ooo-2.1/program/libcppu.so.3
    /usr/lib/ooo-2.1/program/libcppu.so
    /usr/lib/ooo-2.1/program/libcppuhelper3gcc3.so
    /usr/lib/ooo-2.1/program/libcppuhelpergcc3.so
    /usr/lib/ooo-2.1/program/libcppuhelpergcc3.so.3
    /usr/lib/ooo-2.1/program/libctl680li.so
    /usr/lib/ooo-2.1/program/libcui680li.so
    /usr/lib/libcroco-0.6.so.3
    /usr/lib/libcroco-0.6.so.3.0.1
    /usr/lib/libcurses.so
    /usr/lib/libcdio.so.7.1.0
    /usr/lib/libcdio.so.7
    /usr/lib/libcdda_interface.so.0.9.8
    /usr/lib/libcdda_interface.so.0
    /usr/lib/libcdda_paranoia.so.0.9.8
    /usr/lib/libcdda_paranoia.so.0
    /usr/lib/libcspi.so.0
    /usr/lib/libcspi.so.0.10.11
    /usr/lib/libchm.so.0.0.0
    /usr/lib/libchm.so.0
    /usr/lib/pulse-0.9/modules/libcli.so
    /usr/lib/libcaca.so.0
    /usr/lib/libcaca.so.0.99.0
    /usr/lib/libcucul.so.0
    /usr/lib/libcucul.so.0.99.0
    /usr/lib/gimp/2.0/modules/libcdisplay_colorblind.so
    /usr/lib/gimp/2.0/modules/libcdisplay_gamma.so
    /usr/lib/gimp/2.0/modules/libcdisplay_highcontrast.so
    /usr/lib/gimp/2.0/modules/libcdisplay_lcms.so
    /usr/lib/gimp/2.0/modules/libcdisplay_proof.so
    /usr/lib/gimp/2.0/modules/libcolorsel_cmyk.so
    /usr/lib/gimp/2.0/modules/libcolorsel_triangle.so
    /usr/lib/gimp/2.0/modules/libcolorsel_water.so
    /usr/lib/gimp/2.0/modules/libcontroller_linux_input.so
    /usr/lib/gimp/2.0/modules/libcontroller_midi.so
    /usr/lib/libcdt.so.3
    /usr/lib/libcdt.so.3.0.0
    /usr/lib/libcddb-slave2.so.0
    /usr/lib/libcddb-slave2.so.0.0.0
    /usr/lib/libcore-utils.so.0
    /usr/lib/libcore-utils.so.0.0.0
    /usr/lib/libcvsservice.so.0.0.1
    /usr/lib/libcvsservice.so.0
    /usr/lib/libcdda_interface.so
    /usr/lib/libcdda_paranoia.so
    /usr/lib/dia/libcairo_filter.so
    /usr/lib/dia/libcgm_filter.so
    /usr/lib/dia/libchronogram_objects.so
    /usr/lib/dia/libcustom_objects.so
    /usr/lib/scribus/plugins/gettext/libcsvim.so.0
    /usr/lib/scribus/plugins/gettext/libcsvim.so
    /usr/lib/scribus/plugins/gettext/libcsvim.so.0.0.0
    /usr/lib/scribus/plugins/libcolorwheel.so
    /usr/lib/scribus/plugins/libcolorwheel.so.0
    /usr/lib/scribus/plugins/libcolorwheel.so.0.0.0
    /usr/lib/libcvsservice.so
    /usr/lib/thunderbird-2.0b2/components/libcaps.so
    /usr/lib/thunderbird-2.0b2/components/libchrome.so
    /usr/lib/thunderbird-2.0b2/components/libcommandlines.so
    /usr/lib/thunderbird-2.0b2/components/libcomposer.so
    /usr/lib/libcairomm-1.0.so.1.0.0
    /usr/lib/libcairomm-1.0.so.1
    /usr/lib/libclucene.so.0
    /usr/lib/libclucene.so.0.0.0
    /usr/lib/libcairo.so
    /usr/lib/vlc/access/libcdda_plugin.so
    /usr/lib/vlc/access/libcddax_plugin.so
    /usr/lib/vlc/codec/libcinepak_plugin.so
    /usr/lib/vlc/codec/libcmml_plugin.so
    /usr/lib/vlc/codec/libcvdsub_plugin.so
    /usr/lib/vlc/video_filter/libclone_plugin.so
    /usr/lib/vlc/video_filter/libcrop_plugin.so
    /usr/lib/libcamel-1.2.so.10.0.0
    /usr/lib/libcamel-1.2.so.10
    /usr/lib/libcamel-provider-1.2.so.10.0.0
    /usr/lib/libcamel-provider-1.2.so.10
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelgroupwise.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelhula.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelimap.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamellocal.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelnntp.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelpop3.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelsendmail.so
    /usr/lib/evolution-data-server-1.2/camel-providers/libcamelsmtp.so
    /usr/lib/jvm/java-1.6.0-sun-1.6.0.0/jre/lib/i386/libcmm.so
    /usr/lib/libcpufreq.so.0
    /usr/lib/libcpufreq.so.0.0.0
    /usr/lib/gnome-panel/libclock-applet.so
    /usr/lib/gedit-2/plugins/libchangecase.so
    /usr/lib/libcdio_cdda.so.0.0.2
    /usr/lib/libcdio_cdda.so.0
    /usr/lib/libcdio_paranoia.so.0.0.2
    /usr/lib/libcdio_paranoia.so.0
    /usr/lib/libcddb.so.2.2.3
    /usr/lib/libcddb.so.2
    /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libcrypto.so
    /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libcrypto.so.0
    /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libcrypto.so.0.9.6
    /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libcurl.so
    /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libcurl.so.2
    /usr/local/Adobe/Acrobat7.0/Reader/intellinux/lib/libcurl.so.2.0.2
    /usr/libexec/autopackage/libcurl.so.2.0.2
    /usr/libexec/autopackage/libcurl.so.2
    /lib/i686/libc-2.4.so
    /lib/i686/libc.so.6
    /lib/libc-2.4.so
    /lib/libc.so.6
    /lib/libcrypt-2.4.so
    /lib/libcrypt.so.1
    /lib/libcom_err.so.2
    /lib/libcom_err.so.2.1
    /lib/libcfont.so.0
    /lib/libcfont.so.0.0.0
    /lib/libconsole.so.0
    /lib/libconsole.so.0.0.0
    /lib/libctutils.so.0
    /lib/libctutils.so.0.0.0
    /lib/libcap.so.1
    /lib/libcap.so.1.10

    2. for the libthread:
    /usr/lib/libpthread.so
    /lib/i686/libpthread-2.4.so
    /lib/i686/libpthread.so.0
    /lib/libpthread-2.4.so
    /lib/libpthread.so.0
    If you need a CD/DVD catalogizer, give a try to my program:
    http://www.kde-apps.org/content/show...content=100682
    Linux Usert#430188

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •